Plesk\backup\Agent\Schema\Backup\Admin\AdminAType\PreferencesAType:
    properties:
        adminPassword:
            expose: true
            access_type: public_method
            serialized_name: admin-password
            xml_element:
                cdata: false
            accessor:
                getter: getAdminPassword
                setter: setAdminPassword
            type: Plesk\backup\Agent\Schema\Backup\AdminPassword
        pinfo:
            expose: true
            access_type: public_method
            serialized_name: pinfo
            xml_element:
                cdata: false
            accessor:
                getter: getPinfo
                setter: setPinfo
            xml_list:
                inline: true
                entry_name: pinfo
            type: array<Plesk\backup\Agent\Schema\Backup\Pinfo>
        sharedSslBase:
            expose: true
            access_type: public_method
            serialized_name: shared-ssl-base
            xml_element:
                cdata: false
            accessor:
                getter: getSharedSslBase
                setter: setSharedSslBase
            type: Plesk\backup\Agent\Schema\Backup\SharedSslBase
        cron:
            expose: true
            access_type: public_method
            serialized_name: cron
            xml_element:
                cdata: false
            accessor:
                getter: getCron
                setter: setCron
            type: Plesk\backup\Agent\Schema\Backup\Cron
        scheduledTasks:
            expose: true
            access_type: public_method
            serialized_name: scheduled-tasks
            xml_element:
                cdata: false
            accessor:
                getter: getScheduledTasks
                setter: setScheduledTasks
            type: Plesk\backup\Agent\Schema\Backup\ScheduledTasks
        gappsAccount:
            expose: true
            access_type: public_method
            serialized_name: gapps-account
            xml_element:
                cdata: false
            accessor:
                getter: getGappsAccount
                setter: setGappsAccount
            type: Plesk\backup\Agent\Schema\Backup\GappsAccount
        descriptions:
            expose: true
            access_type: public_method
            serialized_name: descriptions
            xml_element:
                cdata: false
            accessor:
                getter: getDescriptions
                setter: setDescriptions
            type: array<Plesk\backup\Agent\Schema\Backup\Descriptions\DescriptionsAType\DescriptionAType>
            xml_list:
                inline: false
                entry_name: description
                skip_when_empty: true
